Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.module
Class DefaultModuleContext

    java.lang.Object
      |
      +--uk.ac.man.bioinf.module.ModuleContext
            |
            +--uk.ac.man.bioinf.module.DefaultModuleContext

public class DefaultModuleContext
extends ModuleContext

DefaultModuleContext.java Created: Tue May 23 15:03:25 2000

Version:
  $Id: DefaultModuleContext.java,v 1.2 2001/04/11 17:04:43 lord Exp $
Author:
  J Selley

Constructor Summary
`DefaultModuleContext(ModuleIdentifier identifier, ModuleStorageStructure struct)`

Method Summary
`Object` | `getConfig()` Returns an object representing the configuration of the module.
`ModuleIdentifier` | `getIdentifier()` Returns the modules identifier.

Methods inherited from class uk.ac.man.bioinf.module.ModuleContext
`getModule, getModule, getModuleFactory, getRequiredModules, isModuleAvailable, resolveModuleName, setModuleFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultModuleContext

    public DefaultModuleContext(ModuleIdentifier identifier,
                                ModuleStorageStructure struct)

Method Detail

### getIdentifier

    public ModuleIdentifier getIdentifier()

  Description copied from class: `ModuleContext`
  Returns the modules identifier.

  Specified by:
    `getIdentifier` in class `ModuleContext`
  Returns:
    the module identifier

### getConfig

    public Object getConfig()

  Description copied from class: `ModuleContext`
  Returns an object representing the configuration of the module.

  Specified by:
    `getConfig` in class `ModuleContext`
  Returns:
    the configuration

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD